import javax.swing.JOptionPane;
import java.util.Scanner;
public class Symmetric {
    public static void main(String[] args) {
        String input = JOptionPane.showInputDialog("Ange matrisens gradtal: ");
        int size = Integer.parseInt(input);
        double[][] matrix = readMatrix(size);
        if (isSymmetric(matrix)) 
            JOptionPane.showMessageDialog(null, "Matrisen är symetrisk!");
        else  
            JOptionPane.showMessageDialog(null, "Matrisen är INTE symetrisk!");
    } // main

    public static double[][] readMatrix(int size) {
        double[][] theMatrix = new double[size][size];
        System.out.print( "Ge element: ");
        Scanner sc = new Scanner(System.in);
        for (int row = 0; row < size; row = row + 1) {
             for (int col = 0; col < size; col = col + 1) {
                theMatrix[row][col] = sc.nextDouble();
             }
        }
        return theMatrix;
    } // readMatrix

    //before: matrix != null
    public static boolean isSymmetric(double[][] matrix) {
        boolean okay = true;
        for (int row = 0; row < matrix.length; row = row + 1)
            for (int col = 0; col < matrix[row].length; col = col + 1)
                if (matrix[row][col] != matrix[col][row])
                    okay = false;
        return okay;
    }//isSymmetric
}//Symmetric
